function DATAinsert = cellMakerCrL(IDcentralina,DTcatena,NodeNum,cCrL,ListaDate,...
    ARRAYdate_CrL,DatiCrack,DatiNTCCrack,ChCrL,CrL_NTC,ErrCrackLink)

DATAinsert = cell(ListaDate,8);
for ii=1:ListaDate
    DATAinsert{ii,1} = IDcentralina;
    DATAinsert{ii,2} = DTcatena;
    DATAinsert{ii,3} = NodeNum;
    DATAinsert{ii,4} = datestr(ARRAYdate_CrL(ii),'yyyy-mm-dd');
    DATAinsert{ii,5} = datestr(ARRAYdate_CrL(ii),'HH:MM:SS');
    DATAinsert{ii,6} = DatiCrack(ii,cCrL);
    if ChCrL(cCrL) >= 2
        if CrL_NTC(cCrL) == 1
            DATAinsert{ii,7} = DatiNTCCrack(ii,cCrL);
        end
    end
    DATAinsert{ii,8} = ErrCrackLink(ii,cCrL);
end

end
